<?php

require_once 'i24h_video_list_screen.php';


class I24hUtvListScreen extends I24hVideoListScreen
{
    const SCREEN_ID = 'utv_list';
    private $screen_id;
    private $session;
    private $subcats;
    private $serials;
    private $name;
    private $filter_id;
    private $id;
    private $source_id;
    private $is_need_label;
    private $background;

    public function __construct($session,$screen_id)
    {
        $this->id=$screen_id;
        $this->filter_id=I24HSettings::$UTV_ID;
        $this->source_id=I24HSettings::$UTV_VS_ID;
        $this->name = 'UTV';
        $this->background = 'plugin_file://img/amedia-bg.jpg';
        $this->is_need_label = false;
        parent::__construct(
            $session,$screen_id,$this->filter_id,$this->source_id,$this->name,$this->is_need_label,$this->background
        );
        $this->session = $session;

        $subcats = array();
        $this->serials = array();
        $this->movides = array();
    }

}

?>